tasks/system/ForeachTask.php

Show: inherited
Table of Contents

\ForeachTask

Package: phing\tasks\system

<foreach> task

Task definition for the foreach task. This task takes a list with delimited values, and executes a target with set param.

Usage:

Attributes: list --> The list of values to process, with the delimiter character, indicated by the "delimiter" attribute, separating each value. target --> The target to call for each token, passing the token as the parameter with the name indicated by the "param" attribute. param --> The name of the parameter to pass the tokens in as to the target. delimiter --> The delimiter string that separates the values in the "list" parameter. The default is ",".

Parent(s)
\Task < \ProjectComponent
Author
Jason Hines  
Author
Hans Lellelid  
Version
$Revision: 1331 $  

Properties

Propertyprivate  $absparam= ''

Name of absolute path parameter to pass to callee

Details
Type
n/a
Propertyprivate\PhingCallTask  $callee= ''

PhingCallTask that will be invoked w/ calleeTarget.

Details
Type
\PhingCallTask
Propertyprivatestring  $calleeTarget= ''

Target to execute.

Details
Type
string
Propertyprivate  $delimiter= '',''

Delimiter that separates items in $list

Default value','Details
Type
n/a
Propertyprivatearray  $filelists= 'array()'

Array of filelists

Default valuearray()Details
Type
array
Propertyprivate  $filesets= 'array()'

Array of filesets

Default valuearray()Details
Type
n/a
Propertyprivate  $list= ''

Delimter-separated list of values to process.

Details
Type
n/a
Propertyprivate  $mapperElement= ''

Instance of mapper *

Details
Type
n/a
Propertyprivate  $param= ''

Name of parameter to pass to callee

Details
Type
n/a
Propertyprivateinteger  $total_dirs= '0'

Total number of directories processed

Default value0Details
Type
integer
Propertyprivateinteger  $total_files= '0'

Total number of files processed

Default value0Details
Type
integer

Methods

methodpubliccreateFileList( ) : \FileList

Supports embedded element.

Returns
Type Description
\FileList
methodpubliccreateFileSet( ) : void

Nested creator, adds a set of files (nested fileset attribute).

methodpubliccreateMapper( ) : object

Nested creator, creates one Mapper for this task

Returns
Type Description
object The created Mapper type object
Throws
Exception Description
\BuildException
Details
Access
public  
methodpubliccreateProperty( ) : \Property

Returns
Type Description
\Property
methodpublicgetDescription( ) : void

methodpublicgetLocation( ) : void

methodpublicgetOwningTarget( ) : void

methodpublicgetProject( ) : void

methodprotectedgetRegisterSlot( ) : void

methodpublicgetRuntimeConfigurableWrapper( ) : void

methodpublicgetTaskName( ) : void

methodpublicgetTaskType( ) : void

methodpublicinit( ) : void

methodpubliclog( ) : void

methodpublicmain( ) : void

This method does the work.

methodpublicmaybeConfigure( ) : void

methodpublicperform( ) : void

methodprotectedprocess( \Task $callee, \PhingFile $fromDir, array $srcFiles, array $srcDirs ) : void

Processes a list of files & directories

Parameters
Name Type Description
$callee \Task
$fromDir \PhingFile
$srcFiles array
$srcDirs array
methodpublicsetAbsparam(  $absparam ) : void

Parameters
Name Type Description
$absparam
methodpublicsetDelimiter(  $delimiter ) : void

Parameters
Name Type Description
$delimiter
methodpublicsetDescription( ) : void

methodpublicsetList(  $list ) : void

Parameters
Name Type Description
$list
methodpublicsetLocation( ) : void

methodpublicsetOwningTarget( ) : void

methodpublicsetParam(  $param ) : void

Parameters
Name Type Description
$param
methodpublicsetProject( ) : void

methodpublicsetRuntimeConfigurableWrapper( ) : void

methodpublicsetTarget(  $target ) : void

Parameters
Name Type Description
$target
methodpublicsetTaskName( ) : void

methodpublicsetTaskType( ) : void

Documentation was generated by DocBlox 0.17.1.